%global pypi_name alembic

Name:           python-%{pypi_name}
Version:        1.8.1
Release:        %mkrel 1
Group:          Development/Python
Summary:        A database migration tool for SQLAlchemy
License:        MIT
URL:            https://pypi.org/project/alembic
Source0:        %{pypi_source}
BuildArch:      noarch

%description
A database migration tool for SQLAlchemy.

%package -n python3-%{pypi_name}
Summary:        A database migration tool for SQLAlchemy
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
%{?python_provide:%python_provide python3-%{pypi_name}}
Obsoletes:      python2-alembic < 1.0.8-2

%description -n python3-%{pypi_name}
A database migration tool for SQLAlchemy.

%prep
%setup -q -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf *.egg-info

%build
%py3_build

%install
%py3_install

ln -s %{_bindir}/%{pypi_name} %{buildroot}%{_bindir}/%{pypi_name}-3
ln -s %{_bindir}/%{pypi_name} %{buildroot}%{_bindir}/%{pypi_name}-%{python3_version}

%files -n python3-%{pypi_name}
%doc README.rst CHANGES docs
%license LICENSE
%{_bindir}/%{pypi_name}
%{_bindir}/%{pypi_name}-3
%{_bindir}/%{pypi_name}-%{python3_version}
%{python3_sitelib}/%{pypi_name}*


%changelog
* Thu Aug 04 2022 neoclust <neoclust> 1.8.1-1.mga9
+ Revision: 1875057
- New version 1.8.1

* Wed Mar 23 2022 umeabot <umeabot> 1.6.5-3.mga9
+ Revision: 1822528
- Mageia 9 Mass Rebuild

* Mon Feb 14 2022 neoclust <neoclust> 1.6.5-2.mga9
+ Revision: 1774304
- Rebuild for python 3.10

* Fri Aug 27 2021 wally <wally> 1.6.5-1.mga9
+ Revision: 1742752
- new version 1.6.5

* Sun Mar 28 2021 daviddavid <daviddavid> 1.5.8-1.mga9
+ Revision: 1711422
- new version: 1.5.8

* Mon Mar 22 2021 daviddavid <daviddavid> 1.5.7-1.mga9
+ Revision: 1707842
- new version: 1.5.7

* Sat Mar 20 2021 neoclust <neoclust> 1.5.5-2.mga9
+ Revision: 1705927
- Rebuild against python 3.9

* Sat Feb 27 2021 guillomovitch <guillomovitch> 1.5.5-1.mga9
+ Revision: 1693031
- new version 1.5.5

* Tue Jan 12 2021 daviddavid <daviddavid> 1.4.3-2.mga8
+ Revision: 1671211
- obsoletes python2-alembic

* Sat Nov 28 2020 guillomovitch <guillomovitch> 1.4.3-1.mga8
+ Revision: 1649933
- new version 1.4.3

* Tue Mar 31 2020 daviddavid <daviddavid> 1.4.2-1.mga8
+ Revision: 1562640
- new version: 1.4.2

* Thu Feb 20 2020 umeabot <umeabot> 1.4.0-2.mga8
+ Revision: 1547271
- Mageia 8 Mass Rebuild

* Fri Feb 07 2020 daviddavid <daviddavid> 1.4.0-1.mga8
+ Revision: 1487783
- new version: 1.4.0

* Sat Nov 16 2019 daviddavid <daviddavid> 1.3.1-1.mga8
+ Revision: 1461200
- new version: 1.3.1

* Wed Oct 02 2019 daviddavid <daviddavid> 1.2.1-1.mga8
+ Revision: 1448749
- new version: 1.2.1

* Sun Sep 15 2019 daviddavid <daviddavid> 1.1.0-1.mga8
+ Revision: 1441720
- new version: 1.1.0
- rebuild for python3.8

* Sun Jul 07 2019 daviddavid <daviddavid> 1.0.11-1.mga8
+ Revision: 1419302
- new version: 1.0.11

* Wed Apr 17 2019 wally <wally> 1.0.8-1.mga7
+ Revision: 1392185
- new version 1.0.8

* Mon Jan 07 2019 shlomif <shlomif> 1.0.5-1.mga7
+ Revision: 1350984
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 0.9.9-2.mga7
+ Revision: 1288234
- Mageia 7 Mass Rebuild

* Fri Jun 15 2018 daviddavid <daviddavid> 0.9.9-1.mga7
+ Revision: 1236965
- new version: 0.9.9

* Mon Mar 26 2018 daviddavid <daviddavid> 0.9.7-1.mga7
+ Revision: 1212605
- new version: 0.9.7
- rename python-alembic to python2-alembic
- remove uneeded alembic pkg (merge binaries directly into subpkgs)

* Sat Aug 05 2017 pterjan <pterjan> 0.8.4-2.mga7
+ Revision: 1135301
- Rebuild for python 3.6

* Wed Dec 16 2015 daviddavid <daviddavid> 0.8.4-1.mga6
+ Revision: 910866
- new version: 0.8.4
- use new python macros

* Fri Oct 09 2015 shlomif <shlomif> 0.8.2-1.mga6
+ Revision: 888372
- New version 0.8.2 + Rebuild for new Python3 3.5.x

* Wed Oct 15 2014 umeabot <umeabot> 0.6.0-8.mga5
+ Revision: 740372
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.6.0-7.mga5
+ Revision: 728030
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.6.0-6.mga5
+ Revision: 687878
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 0.6.0-5.mga5
+ Revision: 629719
- Rebuild for new Python

* Sat May 31 2014 pterjan <pterjan> 0.6.0-4.mga5
+ Revision: 628449
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.6.0-3.mga4
+ Revision: 543040
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.6.0-2.mga4
+ Revision: 498087
- Rebuild to add different pythonegg provides for python 2 and 3

* Mon Oct 07 2013 neoclust <neoclust> 0.6.0-1.mga4
+ Revision: 492602
- imported package python-alembic

